### 5.1.98 ncols

`Syntax:`
  `ncols (` matrix_expression `)`
  `ncols (` intmat_expression `)`
  `ncols (` ideal_expression `)`
`Type:`
  int
`Purpose:`
  returns the number of columns of a matrix, an intmat, or the number of given generators of the ideal, including zeros.
`Note:`
  `size(`ideal`)` counts the number of generators which are different from zero. (Use `nrows` to get the number of rows of a given matrix or intmat.)
`Example:`

        ring r;
        matrix m[5][6];
        ncols(m);
      ==> 6
        ideal i=x,0,y;
        ncols(i);
      ==> 3
        size(i);
      ==> 2

See matrix; nrows; size.

User manual for Singular version 4-0-3, 2016, generated by texi2html.